This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 154803 - system-config-network "caches" old network connections
system-config-network "caches" old network connections
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
:
Depends On:
Blocks: 87718
  Show dependency treegraph
 
Reported: 2005-04-14 06:38 EDT by James Hunt
Modified: 2008-05-06 20:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:08:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Hunt 2005-04-14 06:38:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
If I create a DHCP "network connection" in system-config-network, activate it, de-activate it and then delete it, and recreate the network connection as a static connection, when I activate it, it's still a dynamic connection!

Version-Release number of selected component (if applicable):
system-config-network-1.3.22-1 system-config-network-tui-1.3.22-1

How reproducible:
Always

Steps to Reproduce:
1. run system-config-network and create a DHCP "ethernet network connection"
2. activate the connection 
3. de-activate the connection
4. delete the connection
5. re-create the connection but specify a static IP address.
6. re-activate the connection
7. Run "ifconfig" and you'll see that the static IP address has *not* been 
   used - you're still running DHCP.

Additional info:

Frankly, system-config-network is horrid IMHO. Problems (apart from the really annoying one just described):

1. It uses hard links (which I'm sure are part of the problem above). What is
   wrong with soft links?
2. It doesn't allow full network control from the command-line
   (very bad for "power users").
3. It doesn't handle different "profiles" very well at all (very annoying if
   you change between lots of networks all the time).
4. If you've got an existing DHCP network connection, you cannot change it to be
   a static connection, and yet you *can* change a static connection and make
   it dynamic.
5. It's very sloooooooooow.
6. It doesn't show you what commands it is running under the covers.

If it could be made a bit more like QuickSwitch (http://muthanna.com/quickswitch), that would be brilliant.
Comment 1 Matthew Miller 2006-07-10 17:41:56 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Bug Zapper 2008-04-03 12:05:12 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-06 20:08:25 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.